Page MenuHomePhabricator

Wikibase\MediaInfo\DataModel\MediaInfo must implement method `clear`
Closed, ResolvedPublic

Description

Outdated

MediaInfo is currently on wikibase/data-model 7.3.0, but if/when we upgrade, we're going to have to implement function clear, which is now part of interface EntityDocument (or interface Clearable, actually)

See https://github.com/wmde/WikibaseDataModel/commit/ec1d98abc8f6fd3e255c93689954cd43316ce46a

Details

Related Gerrit Patches:
mediawiki/extensions/WikibaseMediaInfo : masterRemove clear() method as it's not used
mediawiki/extensions/WikibaseMediaInfo : masterImplemented clear() method in MediaInfo class

Event Timeline

Restricted Application added a project: Multimedia. · View Herald TranscriptSep 17 2018, 10:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Addshore moved this task from Backlog to Watching on the wikidata-tech-focus board.

Change 460903 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Implemented clear() method in MediaInfo class

https://gerrit.wikimedia.org/r/460903

Change 460903 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Implemented clear() method in MediaInfo class

https://gerrit.wikimedia.org/r/460903

Restricted Application added a project: Wikidata. · View Herald TranscriptOct 8 2018, 12:43 PM
Addshore updated the task description. (Show Details)
Addshore added a subscriber: Addshore.

So, the situation here changed and datamodel changed to avoid the breaking change.
MediaInfo now uses 9.x, but the MediaInfo entity does have a clear method, (that may not be used?), and also the entity does not implement ClearableEntity.

Either:

  • The clear method should be removed if it is not used.
  • MediaInfo entity should implement the ClearableEntity interface.
Addshore moved this task from incoming to monitoring on the Wikidata board.Feb 11 2019, 9:07 AM
Addshore triaged this task as Low priority.Jun 22 2019, 10:00 PM
Addshore added a subscriber: Cparle.

Poke to @Cparle
This task is probably easily fixable or closable :)

Change 520453 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Remove clear() method as it's not used

https://gerrit.wikimedia.org/r/520453

Cparle claimed this task.Jul 3 2019, 2:18 PM
Cparle moved this task from To Do to Doing on the Structured-Data-Team-Current-Work board.
Cparle moved this task from Doing to Code Review on the Structured-Data-Team-Current-Work board.

Change 520453 merged by jenkins-bot:
[mediawiki/extensions/WikibaseMediaInfo@master] Remove clear() method as it's not used

https://gerrit.wikimedia.org/r/520453

Change 520734 had a related patch set uploaded (by Cparle; owner: Cparle):
[mediawiki/extensions/WikibaseMediaInfo@master] Use regex to replace commas in quantity value

https://gerrit.wikimedia.org/r/520734

Cparle closed this task as Resolved.Jul 4 2019, 11:56 AM